#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/MD5Sum.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 

package SAPDB::Install::MD5Sum;

require SDB::Common::Exporter;
our @ISA = qw (SDB::Common::Exporter); 
our @EXPORT = qw (MD5Sum MD5Str); 

bootstrap SAPDB::Install::MD5Sum;

sub AUTOLOAD {
	die "cannot load symbol ".$AUTOLOAD."\n"
		unless ($AUTOLOAD =~ /bootstrap$/);

	require XSLoader;
	XSLoader::load (__PACKAGE__);
}

#
# main
#
sub main {
        return (SAPDB::Install::MD5Sum::Test::main (@_));
}

package SAPDB::Install::MD5Sum::Test;

our $DEBUG = 0;

use SDB::Common::Getopt::Long;

sub main {
	my ($filename) = @_;

	unless (defined $filename) {
		print "MD5Sum <filename>\n";
		return 0;
	}

	my $md5sum = SAPDB::Install::MD5Sum::MD5Sum ($filename);
	print $filename.": ".$md5sum."\n";

	return 0;
}

1;
