#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/App.pm#1 $
# $DateTime: 2004/03/11 10:29:37 $
# $Change: 66919 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD

package SAPDB::Install::App::CreateInstance;

use SAPDB::Install::LoadWx;
use SAPDB::Install::Frame::Instance;

our @ISA = qw (Wx::App);

my %config;

# this is called automatically on object creation
sub OnInit {
  my( $this ) = @_;



   my( $frame ) = SAPDB::Install::Frame::Instance->new(\%config,"MaxDB Instance Installer",
			       [100, 100],
			       [800,480 ]
                 );

# set it as top window (so the app will automatically close when
  # the last top window is closed)
  $this->SetTopWindow( $frame );
  #$frame->{'app'} = $this;

  # show the frame
  #$frame->Show( 1 );
  1;

}

sub main{
	my ($config) = @_;
	if(defined $config){
		%config = %$config;	
	}	
	my ( $app ) = SAPDB::Install::App::CreateInstance->new();
	if(defined $config){
		$app->GetTopWindow->{'config'} = $config;
	}
	if(caller eq 'SAPDB::Install::Start'){
		# start processing events
		$app->MainLoop();	
	}
	return 1;
}

1;
