#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/App.pm#1 $
# $DateTime: 2004/03/11 10:29:37 $
# $Change: 66919 $
#
# Desc: 

package SAPDB::Install::App::Installer;

use SAPDB::Install::Cleaner;
use SAPDB::Install::LoadWx;
use SAPDB::Install::Frame::Installer;

our @ISA =qw (Wx::App);

my %config;

# this is called automatically on object creation
sub OnInit {
  my( $this ) = @_;
  my( $frame ) = SAPDB::Install::Frame::Installer->new(\%config,"MaxDB Installer",
			       [100, 100],
			       [640,480 ]
                             );
# set it as top window (so the app will automatically close when
  # the last top window is closed)
  $this->SetTopWindow( $frame );
  #$frame->{'app'} = $this;

  # show the frame
  #$frame->Show( 1 );
  1;

}

sub main{
	my ($config) = @_;
	if(defined $config){
		%config = %$config;	
	}	
	my ( $app ) = SAPDB::Install::App::Installer->new();
	
	if(caller eq 'SAPDB::Install::Start'){
		# start processing events
		local $cleaner = SAPDB::Install::Cleaner->new();
		$app->MainLoop();	
	}
	return 1;
}

1;
